Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Repository/Values/User/UserRoleAssignment.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\Values\User;
8
9 use eZ\Publish\API\Repository\Values\User\UserRoleAssignment as APIUserRoleAssignment;
10
16 class UserRoleAssignment extends APIUserRoleAssignment
17 {
23 protected $limitation;
24
30 protected $role;
31
37 protected $user;
38
44 public function getRoleLimitation()
45 {
46 return $this->limitation;
47 }
48
54 public function getRole()
55 {
56 return $this->role;
57 }
58
64 public function getUser()
65 {
66 return $this->user;
67 }
68 }
eZ\Publish\API\Repository\Values\User\UserRoleAssignment
Definition: API/Repository/Values/User/UserRoleAssignment.php:15
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment
This class represents a user to role assignment.
Definition: Core/Repository/Values/User/UserRoleAssignment.php:17
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment\getRole
getRole()
Returns the role to which the user is assigned to.
Definition: Core/Repository/Values/User/UserRoleAssignment.php:54
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment\$limitation
$limitation
Definition: Core/Repository/Values/User/UserRoleAssignment.php:23
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment\$user
$user
Definition: Core/Repository/Values/User/UserRoleAssignment.php:37
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment\getRoleLimitation
getRoleLimitation()
Returns the limitation of the user role assignment.
Definition: Core/Repository/Values/User/UserRoleAssignment.php:44
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment\getUser
getUser()
Returns the user to which the role is assigned to.
Definition: Core/Repository/Values/User/UserRoleAssignment.php:64
eZ\Publish\Core\Repository\Values\User\UserRoleAssignment\$role
$role
Definition: Core/Repository/Values/User/UserRoleAssignment.php:30
eZ\Publish\Core\Repository\Values\User
Definition: Core/Repository/Values/User/Policy.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.